Skip to main content
POST
Execute proxy request

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Body

application/json
endpoint
string
required

The API endpoint to call (absolute URL or path relative to base URL of the connected account)

Example:

"/api/v1/resources"

method
enum<string>
required

The HTTP method to use for the request

Available options:
GET,
POST,
PUT,
DELETE,
PATCH,
HEAD
Example:

"GET"

connected_account_id
string<connectedAccountId>

The ID of the connected account to use for authentication (if not provided, will use the default account for the project)

Example:

"ca_1a2b3c4d5e6f"

user_id
string

The user id (entity id) acting on connected_account_id. Required for a SHARED connection, where it is checked against the connection's ACL. When the project has 2FA enabled, it is also validated against the owner of a PRIVATE connection. Also selects which custom toolkits the request may use.

Example:

"user_4567"

body
object | null

The request body (for POST, PUT, and PATCH requests)

Example:
binary_body
object

Binary body to send. For binary upload via URL: use {url: "https://...", content_type?: "..."}. For binary upload via base64: use {base64: "...", content_type?: "..."}.

parameters
object[]

Additional HTTP headers or query parameters to include in the request

Example:
custom_connection_data
object
deprecated

Response

Successfully executed proxy request and received response

status
number
required

The HTTP status code returned from the proxied API

Example:

200

data
object | null

The response data returned from the proxied API

Example:
binary_data
object

Binary body response data. Present when the response is a binary file.

headers
object

The HTTP headers returned from the proxied API

Example: